QueryFilter (Lucene 2.4.1 API)
Keywords: org.apache.lucene.search.QueryFilter class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.search
Class QueryFilter

    java.lang.Object
      org.apache.lucene.search.Filter
          org.apache.lucene.search.CachingWrapperFilter
              org.apache.lucene.search.QueryFilter

All Implemented Interfaces:
  Serializable

Deprecated. use a CachingWrapperFilter with QueryWrapperFilter

    public class QueryFilter

extends CachingWrapperFilter

Constrains search results to only match those which also match a provided query. Results are cached, so that searches after the first on the same index using this filter are much faster.

Version:
  $Id: QueryFilter.java 528298 2007-04-13 00:59:28Z hossman $
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.lucene.search.CachingWrapperFilter
`cache, filter`

Constructor Summary
`QueryFilter(Query query)` Deprecated. Constructs a filter which only matches documents matching `query`.

Method Summary
`boolean` | `equals(Object o)` Deprecated.
`int` | `hashCode()` Deprecated.

Methods inherited from class org.apache.lucene.search.CachingWrapperFilter
`bits, getDocIdSet, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### QueryFilter

    public QueryFilter(Query query)

  Deprecated.
  Constructs a filter which only matches documents matching `query`.

Method Detail

### equals

    public boolean equals(Object o)

  Deprecated.
  Overrides:
    `equals` in class `CachingWrapperFilter`

### hashCode

    public int hashCode()

  Deprecated.
  Overrides:
    `hashCode` in class `CachingWrapperFilter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 Apache Software Foundation. All Rights Reserved.